<?php

/**
 * @file
 * FullcubeProgram class.
 */

 /**
  * Construct class.
  */

/**
 * Class FullcubePerson.
 */
class FullcubePerson {

  /**
   * Construct.
   */
  public function __construct(Fullcube $master) {
    $this->master = $master;
  }

  /**
   * Update Person.
   */
  public function updatePerson($personId, $programID, $data, $access_token) {
    // #TODO Uncomment below once person ca be udpated via program ID endpoint
    // For more details, see #128131859.
    /* return $this->master->put('programs/' . $programID . '/people/' .
    $personId . '?access_token=' . $access_token, $data); */
    return $this->master->put('people/' . $personId . '?access_token=' .
    $access_token, $data);
  }

  /**
   * Add prospect.
   */
  public function addProspect($campaignId, $data, $access_token) {
    return $this->master->post('landingPages/' . $campaignId . '/addProspect?access_token=' . $access_token, $data);
  }

  /**
   * Add member.
   */
  public function addMember($campaignId, $data, $access_token) {
    return $this->master->post('landingPages/' . $campaignId . '/addMember?access_token=' . $access_token, $data);
  }

  /**
   * Notify Fullcube about linked account.
   */
  public function linkIdenttity($personId, $appName, $userId, $access_token) {
    $_params = array(
      "id" => $personId,
      "provider" => $appName,
      "externalId" => $userId,
    );
    return $this->master->post('people/' . $personId . '/identity?access_token=' . $access_token, $_params);
  }

  /**
   * Notify Fullcube about linked account.
   */
  public function deleteIdenttity($personId, $appName, $userId, $access_token) {
    return $this->master->delete('people/' . $personId . '/identity?provider=' .
    $appName . '&externalId=' . $userId . '&access_token=' . $access_token);
  }

  /**
   * Get Person Info.
   */
  public function getPerson($peopleId, $access_token) {
    return $this->master->get('People/' . $peopleId . '?access_token=' . $access_token);
  }

}
